'use strict';

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _tmp = require('tmp');

var _tmp2 = _interopRequireDefault(_tmp);

var _transpile = require('./utils/transpile');

var _transpile2 = _interopRequireDefault(_transpile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var temp = _tmp2.default.dirSync({
  unsafeCleanup: true
});

var sourcePath = process.cwd();
var tempPath = temp.name;
var targetPath = _path2.default.resolve(sourcePath, 'build');

_fsExtra2.default.removeSync(targetPath);

_fsExtra2.default.copySync(sourcePath, tempPath, {
  filter: function filter(filename) {
    return (/^((?!(\/(node_modules|build)(\/|$))).)*$/i.test(filename)
    );
  }
});

_fsExtra2.default.copySync(tempPath, targetPath);

temp.removeCallback();

(0, _transpile2.default)(targetPath);

console.log(_chalk2.default.green.bold('Package built'));